package app.insti.fragment;

import android.content.Context;
import android.net.Uri;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.Toolbar;
import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.Toast;

import com.google.android.material.floatingactionbutton.FloatingActionButton;
import com.google.firebase.database.DataSnapshot;
import com.google.firebase.database.DatabaseError;
import com.google.firebase.database.DatabaseReference;
import com.google.firebase.database.FirebaseDatabase;
import com.google.firebase.database.ValueEventListener;
import com.google.firebase.storage.StorageReference;

import java.util.ArrayList;
import java.util.List;

import app.insti.R;
import app.insti.Utils;
import app.insti.adapter.MyEventAdapter;
import app.insti.adapter.SubActivitiesAdapter;
import app.insti.api.model.MyEvent;
import app.insti.api.model.SubActivity;

public class MyEventFragment extends Fragment {

    private StorageReference storageReference3;
    private DatabaseReference databaseReference3;
    private List<MyEvent> myEventList;
    private FloatingActionButton add_event;

    public MyEventFragment(){

    }

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_my_event, container, false);


        Toolbar toolbar = getActivity().findViewById(R.id.toolbar);
        toolbar.setTitle("My Events");
        Utils.setSelectedMenuItem(getActivity(), R.id.nav_my_events);


        RecyclerView myEventsList = view.findViewById(R.id.myEventList);
        myEventsList.setLayoutManager(new LinearLayoutManager(getContext()));

        myEventList = new ArrayList<>();

        databaseReference3 = FirebaseDatabase.getInstance().getReference("my_events");

        databaseReference3.addValueEventListener(new ValueEventListener() {
            @Override
            public void onDataChange(@NonNull DataSnapshot dataSnapshot) {
                for(DataSnapshot myEventSnapshot : dataSnapshot.getChildren()){
                    MyEvent myEvent = myEventSnapshot.getValue(MyEvent.class);
                    myEventList.add(myEvent);
                }
                MyEventAdapter myEventAdapter = new MyEventAdapter(getContext(),myEventList);
                myEventsList.setAdapter(myEventAdapter);
            }

            @Override
            public void onCancelled(@NonNull DatabaseError databaseError) {
                Toast.makeText(getContext(),"Something wrong happened", Toast.LENGTH_SHORT).show();
            }
        });

        add_event = view.findViewById(R.id.add_event);
        add_event.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Toast.makeText(getContext(), "Add Event Clicked", Toast.LENGTH_SHORT).show();
            }
        });

        return view;
    }




}
